/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.remote.rest.extender.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Carlos Sierra Andrés
 */
@ExtendedObjectClassDefinition(
	category = "foundation", scope = ExtendedObjectClassDefinition.Scope.SYSTEM
)
@Meta.OCD(
	factory = true,
	id = "com.liferay.portal.remote.rest.extender.configuration.RestExtenderConfiguration",
	localization = "content/Language", name = "rest-extender-configuration-name"
)
public interface RestExtenderConfiguration {

	@Meta.AD(required = false)
	public String[] contextPaths();

	@Meta.AD(name = "jaxrs.applications.filters", required = false)
	public String[] jaxRsApplicationFilterStrings();

	@Meta.AD(name = "jax.rs.provider.filters", required = false)
	public String[] jaxRsProviderFilterStrings();

	@Meta.AD(name = "jax.rs.service.filters", required = false)
	public String[] jaxRsServiceFilterStrings();

}